PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures | Enumerations
Enumerated Types
PDL API Reference » IPC (Inter Process Communication) » IPC semaphores layer (IPC_SEMA)

## General Description

Enumerations are used in the driver.

## Data Structures
struct | cy_stc_ipc_sema_t
| IPC semaphore control data structure. More...

## Enumerations
enum | cy_en_ipcsema_status_t { CY_IPC_SEMA_SUCCESS = (uint32_t)(0UL) , CY_IPC_SEMA_ERROR_LOCKED = (uint32_t)(CY_IPC_SEMA_ID_ERROR | 1UL) , CY_IPC_SEMA_ERROR_UNLOCKED = (uint32_t)(CY_IPC_SEMA_ID_ERROR | 2UL) , CY_IPC_SEMA_BAD_PARAM = (uint32_t)(CY_IPC_SEMA_ID_ERROR | 3UL) , CY_IPC_SEMA_OUT_OF_RANGE = (uint32_t)(CY_IPC_SEMA_ID_ERROR | 4UL) , CY_IPC_SEMA_NOT_ACQUIRED = (uint32_t)(CY_IPC_SEMA_ID_INFO | 2UL) , CY_IPC_SEMA_LOCKED = (uint32_t)(CY_IPC_SEMA_ID_INFO | 3UL) , CY_IPC_SEMA_STATUS_LOCKED = (uint32_t)(CY_IPC_SEMA_ID_INFO | 1UL) , CY_IPC_SEMA_STATUS_UNLOCKED = (uint32_t)(CY_IPC_SEMA_ID_INFO | 0UL) }
| Return constants for IPC semaphores functions. More...

## Data Structure Documentation

## ◆ cy_stc_ipc_sema_t

struct cy_stc_ipc_sema_t

Data Fields
uint32_t | maxSema | Maximum semaphores in system. Must be a multiple of 32. This count applies to both secure and non-secure semaphores
uint32_t * | arrayPtr | Pointer to semaphores array. Must have length maxSema / 32. This must be located in memory which is accessible to all processing environments which will interact with semaphores.

## Enumeration Type Documentation

## ◆ cy_en_ipcsema_status_t

enum cy_en_ipcsema_status_t

Return constants for IPC semaphores functions.

Enumerator
CY_IPC_SEMA_SUCCESS | No error has occurred.
CY_IPC_SEMA_ERROR_LOCKED | Semaphores IPC channel has already been locked.
CY_IPC_SEMA_ERROR_UNLOCKED | Semaphores IPC channel is unlocked.
CY_IPC_SEMA_BAD_PARAM | Semaphore API bad parameter.
CY_IPC_SEMA_OUT_OF_RANGE | Semaphore API return when semaphore number is out of the range.
CY_IPC_SEMA_NOT_ACQUIRED | Semaphore API return when IPC channel was not acquired.
CY_IPC_SEMA_LOCKED | Semaphore API return status when semaphore channel is busy or locked by another process.
CY_IPC_SEMA_STATUS_LOCKED | Semaphore status return that the semaphore is set.
CY_IPC_SEMA_STATUS_UNLOCKED | Semaphore status return that the semaphore is cleared.